package com.ssj.bean.sys.schoolmatecircle.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "ssj_user_friend_apply")
public class SSJUserFriendApply extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private String ownerUserId;//用户userId
    private String friendUserId;//好友用户userId
    private int status; //状态(0:已发送,1:已同意,2:已忽略)
    private Date createTime;//创建时间

    @Column(name = "owner_user_id")
    public String getOwnerUserId() {
		return ownerUserId;
	}

	public void setOwnerUserId(String ownerUserId) {
		this.ownerUserId = ownerUserId;
	}

	@Column(name = "friend_user_id")
	public String getFriendUserId() {
		return friendUserId;
	}

	public void setFriendUserId(String friendUserId) {
		this.friendUserId = friendUserId;
	}
	
	@Column(name = "status")
    public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
